
Foreman - Bug #10217

Hosts count wrong on Puppet Classes Page

04/21/2015 06:10 AM - Jan Wenzel

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On Configure->Puppet Classes, the hosts counter is wrong. It includes only the hosts which have directly assigned the class. The

hosts which have the class indirectly assigned (host- or config group) are not counted.

When i follow the link of the hosts_counter (click on the digit), all hosts are shown correctly.

Related issues:

Is duplicate of Foreman - Bug #844: puppetclass host count does not count hos... Closed 04/14/2011

History

#1 - 04/21/2015 06:19 AM - Dominic Cleal

- Is duplicate of Bug #844: puppetclass host count does not count hosts though a hostgroup added

#2 - 04/21/2015 06:20 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report!  This has finally been fixed via #844 for Foreman 1.8.0.
